// --- [ SLA_main.c ] ---------------------------------------------------------
//
//       Demo/Testprogramm fr den TWI-Slave
//       tab = 3 - 22.0o2.2012

#include <avr/interrupt.h>
#include <avr/io.h>
#include <inttypes.h>
#include "TWI_Slave.h"

// ----------------------------------------------------------------------------
int main( void )
	{
	uint8_t twi_buffer[16];
	uint8_t j, i;

	asm volatile ("sei");
	TWI_SLA_Init();                           // Den Slave empfangsbereit machen

   while (1)
   {
      if ((i = TWI_SLA_Rx_Cnt()))            // wenn Daten eingegangen sind, dann ist i > 0
      {
                                             // es mssen die Daten in jedem Fall abgeholt werden
                                             // denn dabei wird der TWI-Empfang wieder aktiviert !!
         TWI_SLA_Get_Data(twi_buffer);       // die Daten nach twi_buffer[] einlesen

         if (i == 1)                         // Sonderfall - Nur die Adresse wurde empfangen, keine Daten
         {
            /*
            tu was
            */
         }

         else                                // i > 1
         {
            // hier wird zur Demonstation zum gesendeten Byte jeweils 2 addiert !

            for (j = 0; j < i; j++) twi_buffer[j] += 2; // jedes Byte incrementieren

            TWI_SLA_Put_Data(twi_buffer, i);      // und wieder in den Sendepuffer stellen

            // wenn man nun lesend auf den Slave zugreift, sollte man die gendeten Daten sehen
         }
      }
   }
}

// --- [ eof ] ----------------------------------------------------------------


