// ---- [ TWI_Slave.h ] -------------------------------------------------------
//
//        tab = 3 - 22.02.2012

#include "TWI_State_Codes.h"

#define SLA_RX_BUF_SIZE 16       // Reserves memory for the drivers transceiver buffer.
#define SLA_TX_BUF_SIZE 16 	   // Set this to the largest message size that will be sent including address byte.

#define TWI_SLA_ADR		8

#define TWI_BUSY        (TWCR & (1<<TWIE ))

void    TWI_SLA_Init( void );
uint8_t TWI_SLA_Rx_Cnt(void);
uint8_t TWI_SLA_Get_Data( uint8_t *);
void    TWI_SLA_Put_Data( uint8_t * , uint8_t );
void    TWI_SLA_Set_TxPtr(uint8_t * );

//unsigned char TWI_Get_State_Info( void );


// --- [ eof ] ----------------------------------------------------------------
